Sync Ssh Known Hosts
Synchronize SSH known hosts entries for all components (ESXi hosts, vCenter, NSX Managers) in a domain. Updates the SDDC Manager's known_hosts file with current SSH public keys from all managed components. Returns a Task
ID of the domain to sync SSH known hosts for
123e4567-e89b-42d3-a456-556642440000
Accepted
{
"taskId": "string",
"operationType": "string",
"status": "string",
"startTimestamp": 0,
"endTimestamp": 0,
"error": {
"errorCode": "string",
"arguments": [
"string"
],
"context": {
"context": "string"
},
"message": "string",
"remediationMessage": "string",
"cause": [
{
"type": "string",
"message": "string"
}
],
"nestedErrors": [
{
"errorCode": "string",
"arguments": [
"string"
],
"context": {
"context": "string"
},
"message": "string",
"remediationMessage": "string",
"cause": [
{
"type": "string",
"message": "string"
}
],
"nestedErrors": [
"ErrorResponse Object"
],
"referenceToken": "string"
}
],
"referenceToken": "string"
},
"validationResult": {
"errorCode": "string",
"arguments": [
"string"
],
"context": {
"context": "string"
},
"message": "string",
"remediationMessage": "string",
"cause": [
{
"type": "string",
"message": "string"
}
],
"nestedErrors": [
"ErrorResponse Object"
],
"referenceToken": "string"
}
}
ID of the task
BI operation type
Status of the task
Timestamp corresponding to the time when the operation was initiated
Timestamp corresponding to the time when the operation was finished
error
validationResult
Bad Request
{
"errorCode": "string",
"errorType": "string",
"arguments": [
"string"
],
"context": {
"context": "string"
},
"notifications": [
{
"severity": "string",
"message": "string",
"remediations": [
{
"message": "string",
"link": "string"
}
],
"impactMessage": "string"
}
],
"message": "string",
"remediationMessage": "string",
"causes": [
{
"type": "string",
"message": "string"
}
],
"nestedErrors": [
{
"errorCode": "string",
"errorType": "string",
"arguments": [
"string"
],
"context": {
"context": "string"
},
"notifications": [
{
"severity": "string",
"message": "string",
"remediations": [
{
"message": "string",
"link": "string"
}
],
"impactMessage": "string"
}
],
"message": "string",
"remediationMessage": "string",
"causes": [
{
"type": "string",
"message": "string"
}
],
"nestedErrors": [
"Error Object"
],
"referenceToken": "string",
"label": "string",
"remediationUrl": "string"
}
],
"referenceToken": "string",
"label": "string",
"remediationUrl": "string"
}
The minor error code
The error type
The arguments used to localize the message, Can be used by scripts to automate the error processing.
The error context (e.g. the component where it occurred).
Detailed results of the precheck validation.
The localized error message
The localized remediation error message
The underlying cause exceptions.
The nested errors when the error is a composite one
A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.
The localized label message
The URL string for remediation documentation link
Domain Not Found
"Error Object"
The minor error code
The error type
The arguments used to localize the message, Can be used by scripts to automate the error processing.
The error context (e.g. the component where it occurred).
Detailed results of the precheck validation.
The localized error message
The localized remediation error message
The underlying cause exceptions.
A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.
The localized label message
The URL string for remediation documentation link
Internal Server Error
"Error Object"
The minor error code
The error type
The arguments used to localize the message, Can be used by scripts to automate the error processing.
The error context (e.g. the component where it occurred).
Detailed results of the precheck validation.
The localized error message
The localized remediation error message
The underlying cause exceptions.
A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.
The localized label message
The URL string for remediation documentation link
curl -X POST -H 'Authorization: <value>' https://{api_host}/v1/domains/{domainId}/synchronizations/ssh-known-hosts